
Author Box - Bug #2033

rake aborted! uninitialized constant RAILS_DEFAULT_LOGGER

19 May 2012 11:57 - Stefanos Kariotidis

Status: Closed Start date: 19 May 2012

Priority: Major Due date: 26 Sep 2012

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.1.0   

Redmine version: 2.0 External issue:  

Description

Hello andriy,

today i tried to upgrade to Redmine 2.0 using ruby 1.8.7, rails 3.2.3.

During migration i got rake aborted stating:

rake aborted!

uninitialized constant RAILS_DEFAULT_LOGGER

using trace i found that this constant is used at init.rb of author plugin.

After commenting out the line initialising the constant the migration was able to continue.

Could you please check it and ammend the code if confirmed?

Regards stef

Related issues:

Related to Download Button - Bug #2034: rake aborted! uninitialized constant ... Closed 19 May 2012 09 Dec 2012

History

#1 - 20 May 2012 13:02 - Andriy Lesyuk

- Status changed from New to Open

I’m affraid it’s too early for upgrade... See: http://www.redmine.org/news/66

#2 - 26 Sep 2012 23:14 - Andriy Lesyuk

- Due date set to 26 Sep 2012

- Status changed from Open to Closed

- Assignee set to Andriy Lesyuk

- Priority changed from Critical to Major

- Target version set to 0.1.0

- % Done changed from 0 to 100

Thanks!
